package com.red.circle.game.fruit.infrastructure.database.repository;

import com.red.circle.framework.mybatis.service.BaseService;
import com.red.circle.game.fruit.infrastructure.database.entity.GameCodeManage;
import com.red.circle.game.fruit.inner.model.dto.GameCodeManageDTO;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 游戏配置 服务类.
 * </p>
 *
 * @author lisizhe on 2023-12-19 15:03
 */
public interface GameCodeManageService extends BaseService<GameCodeManage> {

  /**
   * 获取游戏编码
   */
  Set<Long> getGameIdsByCode(String code);

  /**
   * 新增游戏编码
   */
  void add(GameCodeManage gameCodeManage);

  /**
   * 新增游戏编码
   */
  void del(Long gameId);

  /**
   * 获取自研游戏列表
   */
  Map<Long, GameCodeManageDTO> mapGameCodeManage(Set<Long> gameIds);
}
